package ru.kovbasa.config;

import com.google.inject.AbstractModule;
import com.google.inject.Singleton;
import ru.kovbasa.playwright.PlaywrightPageProvider;
import ru.kovbasa.playwright.TestConfig;
import ru.kovbasa.playwright.TestResources;
import com.microsoft.playwright.Page;

public class PlaywrightModule extends AbstractModule {

    @Override
    protected void configure() {
        bind(TestConfig.class).in(Singleton.class);
        bind(TestResources.class).in(Singleton.class);
        bind(Page.class).toProvider(PlaywrightPageProvider.class).in(Singleton.class);
    }
}
